import { type ProviderInterface } from '@coinbase/wallet-sdk';
import { type CoinbaseWalletPreference, type GenericNetwork } from '@dynamic-labs/types';
import { type EthereumWalletConnectorOpts } from '@dynamic-labs/ethereum-core';
export type GetCoinbaseProviderOpts = {
    appLogoUrl?: string;
    appName?: string;
    evmNetworks?: GenericNetwork[];
    walletPreference?: CoinbaseWalletPreference;
};
export type CoinbaseProviderHandlerOpts = {
    onDisconnect(): Promise<void>;
};
export type GetCoinbaseProvider = (opts?: GetCoinbaseProviderOpts) => ProviderInterface;
export type CoinbaseOpts = EthereumWalletConnectorOpts & {
    appLogoUrl?: string;
    appName?: string;
    coinbaseWalletPreference?: CoinbaseWalletPreference;
};
