import { Hex, WalletClient, Account, Transport, Chain as ViemChain } from 'viem';
import { ProviderCondition, WalletConnector } from '@dynamic-labs/wallet-connector-core';
import { IEthereum, ExtensionLocator } from './types';
import { InjectedWalletBase } from './injected/InjectedWalletBase';
export declare class EthProviderHelper {
    private walletBookWallet;
    private connector;
    constructor(connector: InjectedWalletBase);
    getInstalledProvider(): IEthereum | undefined;
    getInjectedProvider(): IEthereum | undefined;
    getEip6963Provider(): IEthereum | undefined;
    getInjectedConfig(): {
        chain: string;
        extensionLocators: {
            value: boolean;
            flag: string;
        }[];
        providerInterface?: string | undefined;
        walletStandard?: {
            features: string[];
            name: string;
            providerId?: string | undefined;
        } | undefined;
        walletStandardLocators?: {
            name: string;
            locator: string;
        }[] | undefined;
        windowLocations?: string[] | undefined;
    } | undefined;
    installedProviders(): IEthereum[];
    installedProviderLookup(extensionLocators: Array<ProviderCondition<ExtensionLocator>>): IEthereum | undefined;
    eip6963ProviderLookup(rdns: string): IEthereum | undefined;
    isInstalledHelper(): boolean;
    findProvider(): IEthereum | undefined;
    findWalletClient(chainId?: string): WalletClient<Transport, ViemChain, Account> | undefined;
    getAddress(): Promise<Hex | undefined>;
    getAddressWithProvider(client: WalletClient): Promise<Hex | undefined>;
    signMessage(messageToSign: string): Promise<string | undefined>;
    _setupEventListeners(walletConnector: WalletConnector): {
        tearDownEventListeners: () => void;
    };
}
