import { Account, Transport, Chain as ViemChain, WalletClient } from 'viem';
import { EthereumWalletConnector } from '@dynamic-labs/ethereum-core';
import { EvmNetwork } from '@dynamic-labs/types';
import { EthProviderHelper } from '../ethProviderHelper';
import { IEthereum } from '../types';
export declare abstract class InjectedWalletBase extends EthereumWalletConnector {
    publicAddress: string | undefined;
    walletConnectorFallback: boolean;
    _ethProviderHelper: EthProviderHelper | undefined;
    get ethProviderHelper(): EthProviderHelper | undefined;
    getMobileOrInstalledWallet(): InjectedWalletBase;
    findProvider(): IEthereum | undefined;
    setupEventListeners(): void;
    getWalletClient(chainId?: string): WalletClient<Transport, ViemChain, Account> | undefined;
    isInstalledOnBrowser(): boolean;
    getAddress(): Promise<string | undefined>;
    connect(): Promise<void>;
    signMessage(messageToSign: string): Promise<string | undefined>;
    proveOwnership(address: string, messageToSign: string): Promise<string | undefined>;
    endSession(): Promise<void>;
    providerSwitchNetwork({ network, provider, }: {
        network: EvmNetwork;
        provider: WalletClient;
    }): Promise<void>;
}
