import { WalletConnectorsMethod, WalletMetadata } from '@dynamic-labs/wallet-connector-core';
import { IEthereum } from '../../types';
type CustomConnectorDelegate = {
    metadata: WalletMetadata;
    init: () => Promise<void>;
    findProvider: () => IEthereum | undefined;
    signMessage: (messageToSign: string) => Promise<string>;
    connect?: () => Promise<void>;
    disconnect?: () => Promise<void>;
    filter?: () => boolean;
    getAddress?: () => Promise<string>;
    getConnectedAccounts?: () => Promise<string[]>;
    supportsNetworkSwitching?: () => boolean;
};
export declare const createInjectedConnector: (customConnectorFn: (props: any) => CustomConnectorDelegate) => WalletConnectorsMethod;
export {};
